## golang-github-mimuret-golang-iij-dpf 0.9.1

=== Makefile ===
PROJECT_DIR := $(shell dirname $(abspath $(lastword $(MAKEFILE_LIST))))
types_go_files  = $(wildcard ./pkg/types/*.go)
v1_core_go_files  = $(wildcard ./pkg/apis/dpf/v1/core/*.go)
v1_contracts_go_files  = $(wildcard ./pkg/apis/dpf/v1/contracts/*.go)
v1_common_configs_go_files  = $(wildcard ./pkg/apis/dpf/v1/common_configs/*.go)
v1_zones_go_files  = $(wildcard ./pkg/apis/dpf/v1/zones/*.go)
v1_lb_domains_go_files  = $(wildcard ./pkg/apis/dpf/v1/lb_domains/*.go)
deep_copy_files = pkg/types/ZZ_deepcopy_generated.go \
	pkg/apis/dpf/v1/core/ZZ_deepcopy_generated.go \
	pkg/apis/dpf/v1/contracts/ZZ_deepcopy_generated.go \
	pkg/apis/dpf/v1/zones/ZZ_deepcopy_generated.go \
	pkg/apis/dpf/v1/common_configs/ZZ_deepcopy_generated.go \
	pkg/apis/dpf/v1/lb_domains/ZZ_deepcopy_generated.go

all: deepcopy fmt checks test

checks: golangci-lint
	$(GOLANGCI_LINT) run

test:
	go test -coverprofile="cover.out" ./...
	go tool cover -html=cover.out -o cover.html

fmt: gofumpt
	$(GOFUMPT) -l -w .

deepcopy: $(deep_copy_files)

pkg/types/ZZ_deepcopy_generated.go: deepcopy-gen $(types_go_files)
	$(DEEPCOPY_GEN) -O ZZ_deepcopy_generated -h boilerplate.go.txt -i ./pkg/types
pkg/apis/dpf/v1/core/ZZ_deepcopy_generated.go: deepcopy-gen $(v1_core_go_files)
	$(DEEPCOPY_GEN) -O ZZ_deepcopy_generated -h boilerplate.go.txt -i ./pkg/apis/dpf/v1/core
pkg/apis/dpf/v1/contracts/ZZ_deepcopy_generated.go: deepcopy-gen $(v1_contracts_go_files)
	$(DEEPCOPY_GEN) -O ZZ_deepcopy_generated -h boilerplate.go.txt -i ./pkg/apis/dpf/v1/contracts
pkg/apis/dpf/v1/zones/ZZ_deepcopy_generated.go: deepcopy-gen $(v1_common_configs_go_files)
	$(DEEPCOPY_GEN) -O ZZ_deepcopy_generated -h boilerplate.go.txt -i ./pkg/apis/dpf/v1/zones
pkg/apis/dpf/v1/common_configs/ZZ_deepcopy_generated.go: deepcopy-gen $(v1_zones_go_files)
	$(DEEPCOPY_GEN) -O ZZ_deepcopy_generated -h boilerplate.go.txt -i ./pkg/apis/dpf/v1/common_configs
pkg/apis/dpf/v1/lb_domains/ZZ_deepcopy_generated.go: deepcopy-gen $(v1_lb_domains_go_files)
	$(DEEPCOPY_GEN) -O ZZ_deepcopy_generated -h boilerplate.go.txt -i ./pkg/apis/dpf/v1/lb_domains

DEEPCOPY_GEN = $(PROJECT_DIR)/bin/deepcopy-gen
deepcopy-gen: ## Download deepcopy-gen locally if necessary.
	mkdir -p $(PROJECT_DIR)/bin
	$(call go-get-tool,$(DEEPCOPY_GEN),k8s.io/code-generator/cmd/deepcopy-gen@latest)

GOFUMPT = $(PROJECT_DIR)/bin/gofumpt
gofumpt:
	mkdir -p $(PROJECT_DIR)/bin
	$(call go-get-tool,$(GOFUMPT),mvdan.cc/gofumpt@latest)

GOLANGCI_LINT = $(PROJECT_DIR)/bin/golangci-lint
golangci-lint:
	mkdir -p $(PROJECT_DIR)/bin
	$(call go-get-tool,$(GOLANGCI_LINT),github.com/golangci/golangci-lint/cmd/golangci-lint@master)


# go-get-tool will 'go get' any package $2 and install it to $1.
define go-get-tool
@[ -f $(1) ] || { \
set -e ;\
echo "Downloading $(2)" ;\
GOBIN=$(PROJECT_DIR)/bin go install $(2) ;\
}
endef

=== debian/changelog ===
golang-github-mimuret-golang-iij-dpf (0.9.1-2) unstable; urgency=medium

  * d/patches: update patch to fix failing test.

 -- Aloïs Micard <creekorful@debian.org>  Mon, 02 Sep 2024 08:55:29 +0200

golang-github-mimuret-golang-iij-dpf (0.9.1-1) unstable; urgency=medium

  * Initial release (Closes: #1078993)

 -- Aloïs Micard <creekorful@debian.org>  Sun, 18 Aug 2024 20:00:47 +0200

=== debian/control ===
Source: golang-github-mimuret-golang-iij-dpf
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-querystring-dev,
               golang-github-google-uuid-dev,
               golang-github-jarcoal-httpmock-dev,
               golang-github-json-iterator-go-dev,
               golang-github-miekg-dns-dev,
               golang-github-onsi-ginkgo-dev,
               golang-golang-x-time-dev,
               golang-gomega-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mimuret-golang-iij-dpf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mimuret-golang-iij-dpf.git
Homepage: https://github.com/mimuret/golang-iij-dpf
XS-Go-Import-Path: github.com/mimuret/golang-iij-dpf

Package: golang-github-mimuret-golang-iij-dpf-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-querystring-dev,
         golang-github-google-uuid-dev,
         golang-github-jarcoal-httpmock-dev,
         golang-github-json-iterator-go-dev,
         golang-github-miekg-dns-dev,
         golang-github-onsi-ginkgo-dev,
         golang-golang-x-time-dev,
         golang-gomega-dev,
         ${misc:Depends}
Description: IIJ DNS Platform Service API for Go (library)
 Go library to interface with IIJ DNS Platform Service API.
 .
 It allows Go developer to interface both IIJ Managed DNS Service
 as well as IIJ DNS Traffic Management Service.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/mimuret/golang-iij-dpf/tags .*/v?(\d\S*)\.tar\.gz debian
